import request from '@/utils/request'

//获取字典树数据
export function getDictTree(data) {
    return request({
        url: "/system-boot/reportDict/DictTree",
        method: "post",
        params:data
    });
}

//查询字典列表
export function getReportDictList(data: any) {
    return request({
        url: "/system-boot/reportDict/getReportDictList",
        method: "post",
        data
    });
}
//新增字典表
export function addDict(data: any) {
    return request({
        url: "/system-boot/reportDict/addDict",
        method: "post",
        data
    });
}
//更新字典表
export function updateDict(data: any) {
    return request({
        url: "/system-boot/reportDict/updateDict",
        method: "put",
        data
    });
}
//删除字典表
export function deleteDict(data: any) {
    return request({
        url: "/system-boot/reportDict/deleteDict",
        method: "delete",
        params:data
    });
}